You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@lenya.apache.org by th...@apache.org on 2006/02/05 16:19:42 UTC

svn commit: r375044 - /lenya/zone/bin/nightly-branch.sh

Author: thorsten
Date: Sun Feb  5 07:19:41 2006
New Revision: 375044

URL: http://svn.apache.org/viewcvs?rev=375044&view=rev
Log:
Activating notification when build fails for the branch as well.

Modified:
    lenya/zone/bin/nightly-branch.sh

Modified: lenya/zone/bin/nightly-branch.sh
URL: http://svn.apache.org/viewcvs/lenya/zone/bin/nightly-branch.sh?rev=375044&r1=375043&r2=375044&view=diff
==============================================================================
--- lenya/zone/bin/nightly-branch.sh (original)
+++ lenya/zone/bin/nightly-branch.sh Sun Feb  5 07:19:41 2006
@@ -30,8 +30,10 @@
 HELP
 }
 source /export/home/lenya/bin/setenv.sh
+source /export/home/lenya/bin/mail.sh
 umask 0002
 logfile=$DOC_ROOT/log/lenya.branch.update.log
+weblog=$WEB_LOGS/lenya.branch.update.log
 echo "Deploying lenya.branch" > $logfile
 echo "starting date is " >> $logfile
 date >> $logfile
@@ -81,8 +83,24 @@
 rm /export/home/lenya/bin/lenya-1_2.pid >> $logfile
 echo "#building clean" >> $logfile 2>&1
 ./build.sh clean >> $logfile 2>&1
+check=`cat $logfile|grep "BUILD FAILED"`
+echo "statusCheck=$check" >> $logfile
+ if [ check ]; then
+   subject="[lenya.branch.update] lenya-trunk build clean failed"
+   message="Please resolve possible conflicts by hand login into the zone server and looking at  /export/home/lenya/src/lenya-1.2.x"
+   sendMsg "$subject" "$weblog" "$message"
+   exit 1
+ fi
 echo "#building" >> $logfile 
 ./build.sh >> $logfile 2>&1
+check=`cat $logfile|grep "BUILD FAILED"`
+echo "statusCheck=$check" >> $logfile
+ if [ check ]; then
+   subject="[lenya.branch.update] lenya-trunk build failed"
+   message="Please resolve possible conflicts by hand login into the zone server and looking at  /export/home/lenya/src/lenya-1.2.x"
+   sendMsg "$subject" "$weblog" "$message"
+   exit 1
+ fi
 echo "#starting" >> $logfile 2>&1
 ./lenya.sh servlet >> $logfile 2>&1 &
 echo $! > /export/home/lenya/bin/lenya-1_2.pid



---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@lenya.apache.org
For additional commands, e-mail: commits-help@lenya.apache.org